#version 430 core

in layout(location = 0) vec3 position;
in layout(location = 2) vec2 textureCoordinates_in;

out layout(location = 1) vec2 textureCoordinates;

uniform mat4 orthoMatrix;

void main()
{
    gl_Position =  orthoMatrix * vec4(position.xy, 0.0, 1.0);
    textureCoordinates = textureCoordinates_in;
}
